routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Administrator Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@index')->name('dashboard');

// Route::get('/author', 'AuthorController@index')->name('author');
// Route::get('/author/create', 'AuthorController@create')->name('author.create');
// Route::post('/author', 'AuthorController@store')->name('author.store');
// Route::get('/author/{author}/edit', 'AuthorController@edit')->name('author.edit');
// Route::put('/author/{author}', 'AuthorController@update')->name('author.update');
// Route::delete('/author/{author}', 'AuthorController@destroy')->name('author.destroy');

//Datatables
Route::get('/author/data', 'DataCenterController@authorDatatable')->name('author.data');
Route::get('/book/data', 'DataCenterController@bookDatatable')->name('book.data');
Route::get('/borrow/data', 'DataCenterController@borrowDatatable')->name('borrow.data');
//-----------------------------------------------------------------------------------------


Route::resource('/author', 'AuthorController');
Route::resource('/book', 'BookController');

Route::get('/borrow', 'BorrowController@index')->name('borrow.index');
Route::put('/borrow/{borrow}', 'BorrowController@update')->name('borrow.update');

Route::get('/report/top-book', 'ReportController@topBook')->name('report.top-book');
Route::get('/report/top-user', 'ReportController@topUser')->name('report.top-user');

routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'Frontend\\FrontendController@homePage')->name('homepage');
Route::get('/book/{book}', 'Frontend\\FrontendController@showBook')->name('book.show');
Route::post('/book/{book}/borrow', 'Frontend\\FrontendController@borrow')->name('book.borrow')->middleware(['auth']);

Auth::routes(['verify' => true]);

Route::get('/home', 'HomeController@index')->name('home')->middleware('verified');

resources/views/admin/template/partials/alerts.blade.php
<script>
@if(session('success'))
	$.notify({
		// options
		message: '{{ session('success') }}' 
	},{
		// settings
		type: 'success',		
		placement: {
			align: "right",
			from: 'bottom',
		}
	});
@endif
@if(session('info'))
	$.notify({
		// options
		message: '{{ session('info') }}' 
	},{
		// settings
		type: 'info',		
		placement: {
			align: "right",
			from: 'bottom',
		},
	});
@endif
@if(session('danger'))
	$.notify({
		// options
		message: '{{ session('danger') }}' 
	},{
		// settings
		type: 'danger',
		placement: {
			align: "right",
			from: 'bottom'
		}		
	});
@endif
</script>

resources/views/admin/template/partials/footer.blade.php
<footer class="main-footer">
    <strong>Copyright &copy; 2020-{{date('Y')}} Aftafiandi.</strong>
    All rights reserved.
    <div class="float-right d-none d-sm-inline-block">
      <b>Version</b> beta
    </div>
</footer>

resources/views/admin/template/partials/head.blade.php
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>{{ $title ?? 'Perpustakaan' }}</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  @stack('select2')
  <link rel="stylesheet" href="{{ asset('assets/plugins/fontawesome-free/css/all.min.css') }}">
  <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
  <link rel="stylesheet" href="{{ asset('assets/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css') }}"> 
  <link rel="stylesheet" href="{{ asset('assets/dist/css/adminlte.min.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/plugins/overlayScrollbars/css/OverlayScrollbars.min.css') }}">
  <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">
  @stack('styles') 
</head>

resources/views/admin/template/partials/jquery.blade.php
<script src="{{ asset('assets/plugins/jquery/jquery.min.js') }}"></script>
<script src="{{ asset('assets/plugins/jquery-ui/jquery-ui.min.js') }}"></script>
<script>
  $.widget.bridge('uibutton', $.ui.button)
</script>
<script src="{{ asset('assets/plugins/bootstrap/js/bootstrap.bundle.min.js') }}"></script>
<script src="{{ asset('assets/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js') }}"></script>
<script src="{{ asset('assets/dist/js/adminlte.js') }}"></script>

@stack('jquery')

@stack('scripts')

resources/views/admin/template/partials/leftSideBar.blade.php
 <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="{{ route('admin.dashboard') }}" class="brand-link">     
      <p class="brand-text font-weight-light text-center"><b>PerPus</b></p>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 ml-3">       
        <div class="info">
          <a href="{{ route('admin.dashboard') }}" class="d-block" style="text-align: center;">{{ auth()->user()->name }}</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
         
          <li class="nav-item has-treeview">
            <a href="{{ route('admin.author.index') }}" class="nav-link">
              <i class="nav-icon fas fa-edit"></i>
              <p>Penulis</p>
            </a>            
          </li>

          <li class="nav-item has-treeview">
            <a href="{{ route('admin.book.index') }}" class="nav-link">
              <i class="nav-icon fas fa-table"></i>
              <p>Buku</p>
            </a>            
          </li>

          <li class="nav-item has-treeview">
            <a href="{{{ route('admin.borrow.index') }}}" class="nav-link">
              <i class="nav-icon fas fa-table"></i>
              <p>Buku Dipinjam</p>
            </a>            
          </li>

          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-chart-pie"></i>
              <p>
                Laporan
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
              <ul class="nav nav-treeview">
                <li class="nav-item">
                  <a href="{{ route('admin.report.top-book') }}" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>Buku Teratas</p>
                  </a>
                </li>
                <li class="nav-item">
                  <a href="{{ route('admin.report.top-user') }}" class="nav-link">
                    <i class="far fa-circle nav-icon"></i>
                    <p>User Teratas</p>
                  </a>
                </li>
              </ul>                  
          </li>

          <li class="nav-item has-treeview">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-table"></i>
              <p>User</p>
            </a>            
          </li>
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

resources/views/admin/template/partials/navbar.blade.php
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>          
    </ul>  

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
      <!-- Messages Dropdown Menu -->
      <li class="nav-item dropdown">
        <a class="nav-link" data-toggle="dropdown" href="#">
          <i class='fas fa-ellipsis-v'></i>
        </a>
        <div class="dropdown-menu dropdown-menu-sm dropdown-menu-right text-center">          
          <a class="dropdown-item" href="{{ route('logout') }}"
          onclick="event.preventDefault();
          document.getElementById('logout-form').submit();">
             {{ __('Logout') }}</a>
          <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
          @csrf
          </form>                               
      </li>
    </ul>
  </nav>